using System;
using System.Collections.Generic;
using System.Text;

namespace StringBuilderInfo
{
   class Program
   {
      static void Main(string[] args)
      {
         StringBuilder sb = new StringBuilder(100, 1000);               // Anfangsgre 100, maximale Gre 1000
         ZeigeStatus(sb);

         sb = new StringBuilder();                                      // StringBuilder-Objekt mit Standardwerten
         ZeigeStatus(sb);

         sb.Append("Hallo Welt!");                                      // Erste Zeichenfolge anhngen
         ZeigeStatus(sb);

         sb.Insert(6, "du schne ");                                    // weitere Zeichenfolge anhngen
         ZeigeStatus(sb);                                               // erfordert eine Vergrerung des Objekts
      }
      
      private static void ZeigeStatus(StringBuilder sb)
      {
         Console.WriteLine("\nKapazitt (max): {0}", sb.MaxCapacity);   // maximal zulssige Gre
         Console.WriteLine("Kapazitt      : {0}", sb.Capacity);        // aktuelle Gre
         Console.WriteLine("Lnge          : {0}", sb.Length);          // Lnge der enthaltenen Zeichenfolge
         Console.WriteLine("Inhalt         : {0}\n", sb);               // die gespeicherte Zeichenfolge
      }
   }
}
