﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


// Bitte beachten Sie auch den Fortsetzungsband zu diesem Buch, falls
// Ihnen das Programmieren Spaß gemacht hat und Sie sich fortgeschritteneren 
// Themen zuwenden wollen. Alle Informationen zum Fortsetzungsband finden
// Sie auf der Website: www.tiefer-einsteigen.de 


namespace MyNotepad
{
    public partial class SearchForm : Form
    {
        // erhält den in der TextBox eingegebenen Suchtext
        private string searchText;

        // erhält den Status des Kontrollkästchens 
        // "Groß-/Kleinschreibung beachten"
        private bool caseSensitive = true;

        
        public SearchForm()
        {
            InitializeComponent();
        }

        public string SearchText
        {
           get { return this.searchText; }
        }
	
        public bool CaseSensitive
        {
           get { return this.caseSensitive; }
        }



        private void tbSearchFor_TextChanged(object sender, EventArgs e)
        {
            if (this.tbSearchFor.Text.Length > 0)
                // OK-Button aktivieren, wenn sich Text in der TextBox befindet.
                this.btnOK.Enabled = true;
            else
                // OK-Button deaktivieren, wenn sich kein Text in der TextBox befindet.
                this.btnOK.Enabled = false;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.searchText = this.tbSearchFor.Text;
            this.caseSensitive = this.cbCaseSensitive.Checked;
        }
    }
}
